{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{%     if role in ['leaf', 'access'] %}
interface Vlan42
{%         if 'leaf01Verwaltung' in inventory_hostname %}
   description NetworkMGMT_SVI42_10.10.42.11/24
   ip address 10.10.42.11/24
{%         elif 'leaf02Werkstatt' in inventory_hostname %}
   description NetworkMGMT_SVI42_10.10.42.12/24
   ip address 10.10.42.12/24
{%         elif 'leaf03LagerhalleWEST' in inventory_hostname %}
   description NetworkMGMT_SVI42_10.10.42.13/24
   ip address 10.10.42.13/24
{%         elif 'leaf04LagerhalleOST' in inventory_hostname %}
   description NetworkMGMT_SVI42_10.10.42.14/24
   ip address 10.10.42.14/24
{%         endif %}
!
{%     endif %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
interface vlan1
 no shutdown
!
{%     if role in ['spine', 'core'] %}
interface vlan10
 vlan-name Clients_vlan10_10.10.10.0/24
{%         if 'spine01' in inventory_hostname %}
 description Clients_SVI10_10.10.10.2/24
{%         elif 'spine02' in inventory_hostname %}
 description Clients_SVI10_10.10.10.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.10.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.10.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 10
  virtual-address 10.10.10.1
!
interface vlan20
 vlan-name Printer_vlan20_10.10.20.0/24
{%         if 'spine01' in inventory_hostname %}
 description Printer_SVI20_10.10.20.2/24
{%         elif 'spine02' in inventory_hostname %}
 description Printer_SVI20_10.10.20.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.20.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.20.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 20
  virtual-address 10.10.20.1
!
interface vlan30
 vlan-name MDE_vlan30_10.10.30.0/24
{%         if 'spine01' in inventory_hostname %}
 description MDE_SVI30_10.10.30.2/24
{%         elif 'spine02' in inventory_hostname %}
 description MDE_SVI30_10.10.30.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.30.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.30.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 30
  virtual-address 10.10.30.1
!
interface vlan40
 vlan-name ServerMGMT_vlan40_10.10.40.0/24
{%         if 'spine01' in inventory_hostname %}
 description ServerMGMT_SVI40_10.10.40.2/24
{%         elif 'spine02' in inventory_hostname %}
 description ServerMGMT_SVI40_10.10.40.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.40.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.40.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 40
  virtual-address 10.10.40.1
!
{#
interface vlan41
 vlan-name StorageMGMT_vlan41_10.10.41.0/24 
{%         if 'spine01' in inventory_hostname %}
 description StorageMGMT_SVI41_10.10.41.2/24
{%         elif 'spine02' in inventory_hostname %}
 description StorageMGMT_SVI41_10.10.41.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.41.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.41.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 41
  virtual-address 10.10.41.1
!
#}
interface vlan42
 vlan-name NetworkMGMT_vlan42_10.10.42.0/24
{%         if 'spine01' in inventory_hostname %}
 description NetworkMGMT_SVI42_10.10.42.2/24
{%         elif 'spine02' in inventory_hostname %}
 description NetworkMGMT_SVI42_10.10.42.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.42.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.42.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 42
  virtual-address 10.10.42.1
!
interface vlan50
 vlan-name IoT_vlan50_10.10.50.0/24
{%         if 'spine01' in inventory_hostname %}
 description IoT_SVI50_10.10.50.2/24
{%         elif 'spine02' in inventory_hostname %}
 description IoT_SVI50_10.10.50.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.50.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.50.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 50
  virtual-address 10.10.50.1
!
interface vlan51
 vlan-name Security-IoT_vlan51_10.10.51.0/24
{%         if 'spine01' in inventory_hostname %}
 description Security-IoT_SVI51_10.10.51.2/24
{%         elif 'spine02' in inventory_hostname %}
 description Security-IoT_SVI51_10.10.51.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.51.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.51.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 51
  virtual-address 10.10.51.1
!
interface vlan100
 vlan-name ServiceVMs_vlan100_10.10.100.0/24
{%         if 'spine01' in inventory_hostname %}
 description ServiceVMs_SVI100_10.10.100.2/24
{%         elif 'spine02' in inventory_hostname %}
 description ServiceVMs_SVI100_10.10.100.3/24
{%         endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.100.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.100.3/24
{%         endif %}
 !
 vrrp-group 100
  virtual-address 10.10.100.1
!
{%         for i in range(101,121) %}
interface vlan{{ i }}
 vlan-name VM_vlan{{ i }}_10.10.{{ i }}.0/24
{%             if 'spine01' in inventory_hostname %}
 description VM_SVI{{ i }}_10.10.{{ i }}.2/24
{%             elif 'spine02' in inventory_hostname %}
 description VM_SVI{{ i }}_10.10.{{ i }}.3/24
{%             endif %}
 no shutdown
{%             if 'spine01' in inventory_hostname %}
 ip address 10.10.{{ i }}.2/24
{%             elif 'spine02' in inventory_hostname %}
 ip address 10.10.{{ i }}.3/24
{%             endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group {{ i }}
  virtual-address 10.10.{{ i }}.1
!
{%         endfor %}
interface vlan201
 vlan-name iSCSI-1_vlan201_10.10.201.0/24
{%             if 'spine01' in inventory_hostname %}
 description iSCSI-1_SVI201_10.10.201.2/24
{%             elif 'spine02' in inventory_hostname %}
 description iSCSI-1_SVI201_10.10.201.3/24
{%             endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.201.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.201.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 201
  virtual-address 10.10.201.1
!
interface vlan202
 vlan-name iSCSI-2_vlan201_10.10.202.0/24
{%             if 'spine01' in inventory_hostname %}
 description iSCSI-2_SVI201_10.10.202.2/24
{%             elif 'spine02' in inventory_hostname %}
 description iSCSI-2_SVI201_10.10.202.3/24
{%             endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.202.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.202.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 202
  virtual-address 10.10.202.1
!
interface vlan250
 vlan-name Guest_vlan250_10.10.250.0/24
{%             if 'spine01' in inventory_hostname %}
 description Guest_SVI250_10.10.250.2/24
{%             elif 'spine02' in inventory_hostname %}
 description Guest_SVI250_10.10.250.3/24
{%             endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 10.10.250.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 10.10.250.3/24
{%         endif %}
 ip helper-address 10.10.100.20
 !
 vrrp-group 250
  virtual-address 10.10.250.1
!
interface vlan999
 description DO-NOT-USE
 no shutdown
!
interface vlan1254
 vlan-name Transfer_vlan1254_172.31.254.0/24
{%             if 'spine01' in inventory_hostname %}
 description Transfer_SVI1254_172.31.254.2/24
{%             elif 'spine02' in inventory_hostname %}
 description Transfer_SVI1254_172.31.254.3/24
{%             endif %}
 no shutdown
{%         if 'spine01' in inventory_hostname %}
 ip address 172.31.254.2/24
{%         elif 'spine02' in inventory_hostname %}
 ip address 172.31.254.3/24
{%         endif %}
 !
 vrrp-group 254
  virtual-address 172.31.254.1
!
{%     endif %}
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
